PRIVACYIDEA-CREATE-AD-USERS(1)

NAME
privacyidea-create-ad-users - create users in Active Directory from a CSV file.

SYNOPSIS
privacyidea-create-pwidresolver-user -f <csv file> -u <LDAP URI> -b <LDAP base> -d <LDAP Bind DN>

DESCRIPTION
This tool creates users in Active Directory from a given CSV file. The first line in the CSV needs to contain the attributes. Any further line will contain the values of a new user object.

COMMON OPTIONS

-f <csv file>
    The CSV file with the users.

-h
    Display a help message.

-u <LDAP URI>
    The LDAP URI like ldaps://fqdn.

-b <BASE DN>
    The base DN, where all the users will be created.

-d <Bind DN>
    The bind DN of the user, who is allowed to create the user objects. The password will be prompted.

INTERNET SOURCES
http://www.privacyidea.org, http://www.linotp.org

SEE ALSO

BUGS
No known bugs.

AUTHOR
LSE Leading Security Experts GmbH <linotp-community@lsexperts.de>, privacyIDEA <info@privacyidea.org>